Subject: Re: [PATCH RFC v2 5/7] BreakingChanges: announce Rust becoming mandatory

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 8 Sep 2025 08:42:28 +0200

On Fri, Sep 05, 2025 at 10:38:16AM -0400, Eli Schwartz wrote:
> On 9/5/25 9:38 AM, Patrick Steinhardt wrote:
> 
> >> Do we want to commit to promising support until gccrs is ready? What if
> >> gccrs ends up abandoned? Or takes an unexpectedly long time to reach a stage
> >> where it can build Git? It might make sense to give this LTS release a time
> >> limit instead, or in addidtion.
> > 
> > Yeah, I wasn't quite clear on that one, either. An alternative:
> > 
> >   - We will maintain the LTS release for 8 release cycles, which equates
> >     to roughly two years. It sounds like a lot, but recent security
> >     releases have stretched quite far into the past.
> > 
> >   - If there are still dependents after these two years we will hand
> >     over maintainership of the LTS branch to dependents. So they will be
> >     responsible for the backporting.
> > 
> > This really only is a suggestion though. I'm especially waiting for
> > Junio's feedback here to see whether he thinks that this is a reasonable
> > thing to do.
> 
> 
> This seems reasonable to me -- people who still need that LTS should be
> allowed to ensure it still works, and be expected to commit to the bit
> -- but with the emphasis that I would consider it absolutely mandatory
> that the git project accepts to host that branch, and it won't just
> exist in some other shadowy corner of the internet.

Oh, yes, that's what I meant to imply. We hand over maintainership, but
it should ultimately still be sent to the Git mailing list, have proper
reviews and be merged by Junio.

I'll reword this accordingly.

Patrick